/*******************************************************************************
 * FoxWeaponGrip_Base generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponGrip_Base extends FoxWeaponModObjectBase
    abstract
    native(Weapon)
    config(Grip);

var const bool bHasPistolGrip;
var private const AnimSet FPAnimSet;
var const float FireRate;

simulated function AnimSet GetFPAnimationSet()
{
    return FPAnimSet;
    //return ReturnValue;    
}

defaultproperties
{
    begin object name=NewFPMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeaponGrip_Base.NewFPMesh'
    FPMesh=NewFPMesh
    DescriptorName="Angry"
    WhiteRecievers(0)="FoxWeapon_Shotgun"
}